Subject: Logging in after session timeout leads to exception
Description

Exception: http://i.imgur.com/iHq7vyu.pnghttp://i.imgur.com/7TsiGOl.png

How to reproduce
This can be reproduced by setting the setting TYPO3.Flow.security.session.inactivityTimeout very low and then login to the backend.
Then wait for the inactivity timeout has been reached and trigger an AJAX call (e.g. open inspect tree). Then reload the page and
login.

The problem
The reason for this problem is that the last request which finds out that session has expired is an ExtDirect call, so even though the
last request is to the node controller, the intercepted request was the ExtDirect one, so that's where you'll be redirected after you gain
access (login).

Solution
Check if the original request is a ExtDirect request and if so use the default redirect instead.

Associated revisions
Revision 77f89ff2 - 2013-04-26 00:32 - Aske Ertmann

[BUGFIX] Logging in after session timeout leads to exception

This happened when the request invalidating the session
after timeout was an ExtDirect request and that being
stored as the original request, which was then redirected
to after logging in again.

Change-Id: I20c56bd00965ae83e3c144bc02d8c3720105324f
Fixes: #47109

History
#1 - 2013-04-26 00:33 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20171

#2 - 2013-04-26 00:35 - Aske Ertmann
- Status changed from Accepted to Under Review
- % Done changed from 0 to 80

#3 - 2013-04-30 13:36 - Aske Ertmann
- Status changed from Under Review to Resolved
- % Done changed from 80 to 100

Applied in changeset commit:77f89ff20edd482c64e85ae73a7a973b13a3f156.
